## MMBearerIpConfig MMBearerIpConfig — Helper object to handle IP configuration. |

## Functions

MMBearerIpMethod | mm_bearer_ip_config_get_method ()
const gchar * | mm_bearer_ip_config_get_address ()
guint | mm_bearer_ip_config_get_prefix ()
const gchar ** | mm_bearer_ip_config_get_dns ()
const gchar * | mm_bearer_ip_config_get_gateway ()
guint | mm_bearer_ip_config_get_mtu ()

## Types and Values

struct | MMBearerIpConfig

## Object Hierarchy

        GObject
        ╰── MMBearerIpConfig

## Description

The MMBearerIpConfig is an object handling the IP configuration required by the bearer to finish the connection.

This object is retrieved with either `mm_bearer_get_ipv4_config()`, `mm_bearer_peek_ipv4_config()`, `mm_bearer_get_ipv6_config()` or `mm_bearer_peek_ipv6_config()`.

## Functions

### mm_bearer_ip_config_get_method ()

    MMBearerIpMethod
    mm_bearer_ip_config_get_method (MMBearerIpConfig *self);

Gets the IP method to be used with this bearer.

#### Parameters

self | a MMBearerIpConfig. |

#### Returns

a MMBearerIpMethod.

### mm_bearer_ip_config_get_address ()

    const gchar *
    mm_bearer_ip_config_get_address (MMBearerIpConfig *self);

Gets the IP address to be used with this bearer.

#### Parameters

self | a MMBearerIpConfig. |

#### Returns

a string with the IP address, or NULL if unknown. Do not free the returned value, it is owned by `self` .

### mm_bearer_ip_config_get_prefix ()

    guint
    mm_bearer_ip_config_get_prefix (MMBearerIpConfig *self);

Gets the network prefix to be used with this bearer.

#### Parameters

self | a MMBearerIpConfig. |

#### Returns

the network prefix.

### mm_bearer_ip_config_get_dns ()

    const gchar **
    mm_bearer_ip_config_get_dns (MMBearerIpConfig *self);

Gets the list of IP addresses of DNS servers to be used with this bearer.

#### Parameters

self | a MMBearerIpConfig. |

#### Returns

a NULL-terminated array of strings. Do not free the returned value, it is owned by `self` .

[transfer none][array zero-terminated=1]

### mm_bearer_ip_config_get_gateway ()

    const gchar *
    mm_bearer_ip_config_get_gateway (MMBearerIpConfig *self);

Gets the IP address of the gateway to be used with this bearer.

#### Parameters

self | a MMBearerIpConfig. |

#### Returns

a string with the IP address, or NULL if unknown. Do not free the returned value, it is owned by `self` .

### mm_bearer_ip_config_get_mtu ()

    guint
    mm_bearer_ip_config_get_mtu (MMBearerIpConfig *self);

Gets the MTU to be used with this bearer.

#### Parameters

self | a MMBearerIpConfig. |

#### Returns

the MTU.

## Types and Values

### struct MMBearerIpConfig

    struct MMBearerIpConfig;

The MMBearerIpConfig structure contains private data and should only be accessed using the provided API.